Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util.io
Interface StreamNormalizingReader.CharDecoderFactory

All Known Implementing Classes:
  StreamNormalizingReader.ASCIIDecoderFactory, StreamNormalizingReader.ISO_8859_1DecoderFactory, StreamNormalizingReader.UTF16DecoderFactory, StreamNormalizingReader.UTF8DecoderFactory

Enclosing interface:
  StreamNormalizingReader

protected static interface StreamNormalizingReader.CharDecoderFactory

Represents a CharDecoder factory.

Method Summary
`CharDecoder` | `createCharDecoder(java.io.InputStream is)`

Method Detail

### createCharDecoder

    public CharDecoder createCharDecoder(java.io.InputStream is)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.